namespace PkmnLib.Static;

public readonly record struct TypeIdentifier
{
    private byte Value { get; init; }
    
    public TypeIdentifier(byte value)
    {
        Value = value;
    }
    
    public static implicit operator TypeIdentifier(byte value) => new(value);

    public override int GetHashCode() => Value.GetHashCode();
}