namespace PkmnLib.Static;

/// <summary>
/// Gender is a Pokemon characteristic.
///
/// Required for standard pokemon functions, but somewhat controversial nowadays. Consider adding a feature
/// that allows for a more progressive gender system for those that want it?
/// </summary>
public enum Gender : byte
{
    /// The Pokemon has no gender.
    Genderless,
    /// <summary>
    /// The Pokemon is male.
    /// </summary>
    Male,
    /// <summary>
    /// The Pokemon is female.
    /// </summary>
    Female
}