using FluentResults;

namespace PkmnLib.Static.Utils.Errors;

public class OutOfRange : Error
{
    public OutOfRange(string hint, int index, int max)
        : base($"{hint} index {index} is out of range. Must be between 0 and {max - 1}.")
    {
    }
}